Subject: bug#49424: 27.2; Misdocumented default initialisation file

From: Robert Pluim <[email-masked]>
Date: Wed, 07 Jul 2021 16:40:24 +0200

>>>>> On Wed, 07 Jul 2021 16:11:32 +0200, Stephen Berman <[email-masked]> said:

    Stephen> One thing I find useful about the current way is that I can use ~/.emacs
    Stephen> to carry out tests requiring (or facilitated by having) an init file,
    Stephen> without having to move or otherwise disable my actual init file
    Stephen> ~/.emacs.d/init.el.  That benefit would be lost if the priority was
    Stephen> changed (or it would require making ~/.emacs the real init file and
    Stephen> using ~/.emacs.d/init.el for testing, which seems less appealing).

Instead of 'no init files' -> .emacs, weʼd have 'no init files' ->
~/.emacs.d/init.el

That would not affect the existing search logic, which currently
prefers .emacs to ~/.emacs.d/init.el if it finds .emacs

Robert
--